Bug 828730 - Flood of ATTENTION messages in .xsession-errors
Flood of ATTENTION messages in .xsession-errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libxklavier (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 05:37 EDT by Meir Kriheli
Modified: 2013-08-01 06:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:11:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meir Kriheli 2012-06-05 05:37:39 EDT
Description of problem:
~/.xession-errors file is flooded with messages like:

 ![1338888699,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/] 	ATTENTION! Currently cached group 1 is not equal to the current group from the event: 0
![1338888699,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/] 	ATTENTION! Currently cached group 1 is not equal to the current group from the event: 0
![1338888699,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/] 	ATTENTION! Currently cached group 1 is not equal to the current group from the event: 0
![1338888699,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/] 	ATTENTION! Currently cached group 1 is not equal to the current group from the event: 0
![1338888720,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/] 	ATTENTION! Currently cached group 1 is not equal to the current group from the event: 0
![1338888720,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/] 	ATTENTION! Currently cached group 1 is not equal to the current group from the event: 0
![1338888720,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/] 	ATTENTION! Currently cached group 1 is not equal to the current group from the event: 0
![1338888720,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/] 	ATTENTION! Currently cached group 1 is not equal to the current group from the event: 0
![1338888722,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/] 	ATTENTION! Currently cached group 1 is not equal to the 


Version-Release number of selected component (if applicable):
libxklavier-5.2.1-1.fc17.x86_64

How reproducible:
Login into gnome-shell and examine ~/.xsession-errors

Similar Debian bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653946

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Yann Droneaud 2012-10-30 06:34:26 EDT
I have the same problem


[1351589747,000,xklavier.c:xkl_engine_start_listen/]    The backend does not require manual layout management - but it is provided by the application
[1351589747,000,gkbd-status.c:gkbd_status_set_current_page_for_group/]  Page for group 2 is not ready
[1351589747,000,gkbd-status.c:gkbd_status_set_current_page_for_group/]  Page for group 2 is not ready
[1351589747,000,gkbd-status.c:gkbd_status_set_current_page_for_group/]  Page for group 2 is not ready
[1351589768,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/]    ATTENTION! Currently cached group 0 is not equal to the current group from the event: 2
![1351589768,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/]   ATTENTION! Currently cached group 0 is not equal to the current group from the event: 2
![1351589768,000,xklavier_evt_xkb.c:xkl_xkb_process_x_event/]   ATTENTION! Currently cached group 0 is not equal to the current group from the event: 2
Comment 2 Mariusz Libera 2012-12-03 12:03:43 EST
Same here. I'm using polish and english (us) keyboard layouts and using shift left + shift right to switch between them. I get about a thousand lines per hour in my .xsession-errors.
Comment 3 Fedora End Of Life 2013-07-03 23:06:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 06:11:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.